GStreamer::Event::BufferSize(3)

NAME
GStreamer::Event::BufferSize

METHODS

  GstEvent = GStreamer::Event::BufferSize->new ($format, $minsize, $maxsize, $async)

•   $format (GStreamer::Format)

•   $minsize (64 bit integer)

•   $maxsize (64 bit integer)

•   $async (boolean)

  scalar = $event->async

  scalar = $event->format

  scalar = $event->maxsize

  scalar = $event->minsize

ENUMS AND FLAGS

  enum GStreamer::Format

•   'undefined' / 'GST_FORMAT_UNDEFINED'

•   'default' / 'GST_FORMAT_DEFAULT'

•   'bytes' / 'GST_FORMAT_BYTES'

•   'time' / 'GST_FORMAT_TIME'

•   'buffers' / 'GST_FORMAT_BUFFERS'

•   'percent' / 'GST_FORMAT_PERCENT'

SEE ALSO
GStreamer

COPYRIGHT
Copyright (C) 2005-2011 by the gtk2-perl team.

This software is licensed under the LGPL. See GStreamer for a full notice.